{% load i18n %}


<script type="text/javascript">
    $(document).ready(function(){
        var page_length=10;
        var table=$('#tb').DataTable({
            dom: 'Bfrtip',
            autoWidth: true,
            pageLength: page_length,
            buttons: [{extend:'excelHtml5',text: '导出到Excel'}],
            language:lng,
            data:{{data|safe}}
        });
        table.columns().every( function () {
            var that = this;
            $('input', this.footer() ).on( 'keyup change clear', function () {
                if ( that.search() !== this.value ) {
                    that.search( this.value ).draw();
                }
            });
        });

		var table2=$('#tb2').DataTable({
            dom: 'Bfrtip',
            autoWidth: true,
            pageLength: page_length,
            buttons: [{extend:'excelHtml5',text: '导出到Excel'}],
            language:lng,
            data:{{cnts|safe}}
        });
        table2.columns().every( function () {
            var that = this;
            $('input', this.footer() ).on( 'keyup change clear', function () {
                if ( that.search() !== this.value ) {
                    that.search( this.value ).draw();
                }
            });
        });

		var table3=$('#tb3').DataTable({
            dom: 'Bfrtip',
            autoWidth: true,
            pageLength: page_length,
            buttons: [{extend:'excelHtml5',text: '导出到Excel'}],
            language:lng,
            data:{{cnts2|safe}}
        });
        table3.columns().every( function () {
            var that = this;
            $('input', this.footer() ).on( 'keyup change clear', function () {
                if ( that.search() !== this.value ) {
                    that.search( this.value ).draw();
                }
            });
        });

        $('#data-content .btn-obj-add').click(function(){
            event.preventDefault();
            $.RefreshContent($(this).attr('href'));
        });

        {% if dt %}
            $('.datepicker').datepicker({dateFormat: 'yy-mm-dd'});
            $('.datepicker').datepicker('setDate',new Date());
            setDatePickerZh();

            $('#dt_fr').val('{{date_from}}');
            $('#dt_to').val('{{date_to}}');

            $('.btn-qry').click(function(){
                var date_from,date_to;
                date_fr=$('#dt_fr').val();
                date_to=$('#dt_to').val();
                var params=[];
                if(date_fr!=''){params.push('date_from='+date_fr)};
                if(date_to!=''){params.push('date_to='+date_to)};

                if(params.length==0){
                    bootbox.alert("{% trans '请先输入查询条件！'%}");
                }else{
                    $.RefreshContent('{{request.path}}?'+params.join('&'));
                }
            });
        {% endif %}
    });


    function deleteItem(id){
        var r = confirm('您确定要删除吗？');
        if(r){
            var durl = '{{request.path}}delete/'+id+'/'
            $.RefreshContent(durl);
        }
    }
</script>



<ol class="breadcrumb">
        <li>{{subtt.0}}</li>
        <li>{{subtt.1}}</li>
</ol>



{% if perms.company.sys_admin %}
    <div class="title_right">
        <div class="pull-right">
            <span class='input-group'>
                <!-- <a type="button" class='btn btn-obj-add l-a create-btn' href='/sales/activity/lottery_single'>
                    <span class='glyphicon glyphicon-plus' style='padding-right:5px;'></span>{% trans '单枚布奖' %}
                </a> -->
                <a type="button" class='btn btn-obj-add l-a create-btn' href='{{murl}}'>
                    <span class='glyphicon glyphicon-plus' style='padding-right:5px;'></span>{% trans '新建布奖' %}
                </a>
            </span>
        </div>
    </div>
{% endif%}



{% if dt %}
    <form role="form"  class="form-inline" style="margin-top:0px;padding-left:10px;">
        <div class="col-sm-2 input-group">
            <span class="input-group-addon">{% trans "开始日期"%}</span>
            <input class="datepicker form-control" id="dt_fr" />
        </div>
        <div class="col-sm-2 input-group">
            <span class="input-group-addon">{% trans "结束日期"%}</span>
            <input class="datepicker form-control" id="dt_to" />
        </div>
        <div  class="col-sm-2 input-group">
            <span class='input-group-btn'>
                <a type="button" class='btn btn-primary btn-qry'>
                    <span class='glyphicon glyphicon-search' style='padding-right:5px;'></span>{% trans '查找' %}
                </a>
            </span>
        </div>
    </form>
    <div class="clearfix"></div>
{% endif %}




<div class="col-md-12 col-sm-12 col-xs-12">
    <div class="x_panel">
        <div class="table-responsive">
			<h4>明细</h4>
            <table id='tb'  class="table table-striped table-bordered dt-responsive nowrap" cellspacing="0" width="100%">
            <thead>
                {% for c in clmns %}
                    <th>{{c}}</th>
                {% endfor %}
            </thead>
            <tbody></tbody>
            <tfoot>
                {% for c in clmns %}
                    <th><input type="text" placeholder="{{c}}"></th>
                {% endfor %}
            </tfoot>
            </table>
        </div>
    </div>
</div>

<div class="col-md-12 col-sm-12 col-xs-12">
    <div class="x_panel">
        <div  class="table-responsive">
			<h4>按活动汇总</h4>
            <table id='tb2' class="table table-striped table-bordered dt-responsive nowrap" cellspacing="0" width="100%">
            <thead>
                {% for c in clmns2 %}
                    <th>{{c}}</th>
                {% endfor %}
            </thead>
            <tbody></tbody>
            <tfoot>
                {% for c in clmns2 %}
                    <th><input type="text" placeholder="{{c}}"></th>
                {% endfor %}
            </tfoot>
            </table>
        </div>
    </div>
</div>

{#<div class="col-md-12 col-sm-12 col-xs-12">#}
{#    <div class="x_panel">#}
{#        <div  class="table-responsive">#}
{#			<h4>按批次汇总</h4>#}
{#            <table id='tb3' class="table table-striped table-bordered dt-responsive nowrap" cellspacing="0" width="100%">#}
{#            <thead>#}
{#                {% for c in clmns3 %}#}
{#                    <th>{{c}}</th>#}
{#                {% endfor %}#}
{#            </thead>#}
{#            <tbody></tbody>#}
{#            <tfoot>#}
{#                {% for c in clmns3 %}#}
{#                    <th><input type="text" placeholder="{{c}}"></th>#}
{#                {% endfor %}#}
{#            </tfoot>#}
{#            </table>#}
{#        </div>#}
{#    </div>#}
{#</div>#}